# Method: projects.locations.grpcRoutes.create

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1/projects.locations.grpcRoutes/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1/projects.locations.grpcRoutes/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1/projects.locations.grpcRoutes/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1/projects.locations.grpcRoutes/create#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1/projects.locations.grpcRoutes/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1/projects.locations.grpcRoutes/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1/projects.locations.grpcRoutes/create#try-it)

Creates a new GrpcRoute in a given project and location.

### HTTP request

`POST https://networkservices.googleapis.com/v1/{parent=projects/*/locations/*}/grpcRoutes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the GrpcRoute. Must be in the format `projects/*/locations/global`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networkservices.grpcRoutes.create` |

### Query parameters

| Parameters ||
|---|---|
| `grpcRouteId` | `string` Required. Short name of the GrpcRoute resource to be created. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `grpcRouteId`: - `networkservices.grpcRoutes.create` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1/projects.locations.grpcRoutes#GrpcRoute`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).